Package com.smartgwt.client.types

# Enum OutputWhen

java.lang.Object
java.lang.Enum<OutputWhen>
com.smartgwt.client.types.OutputWhen

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<OutputWhen>`, `Constable`

public enum OutputWhen extends Enum<OutputWhen> implements ValueEnum
The type of condition field must match in order to be fetched from underlying source of data and delivered the client.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEVER`
  Field is never delivered, unless explicitly included in `OperationBinding.outputs`.
  `SINGLE`
  Field is delivered for a `fetch` operation by primary key or as cache sync data after `update` or `add` operations.
  `WHENPRESENT`
  Field is delivered as cache sync data after `update` or `add` operations only if the client seems to already have it for that record, i.e.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static OutputWhen`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static OutputWhen[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final OutputWhen NEVER
    Field is never delivered, unless explicitly included in `OperationBinding.outputs`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### SINGLE

    public static final OutputWhen SINGLE
    Field is delivered for a `fetch` operation by primary key or as cache sync data after `update` or `add` operations. In both cases single record is expected to be returned.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "single".

  - ### WHENPRESENT

    public static final OutputWhen WHENPRESENT
    Field is delivered as cache sync data after `update` or `add` operations only if the client seems to already have it for that record, i.e. it was present in submitted values.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "whenPresent".

- ## Method Details

  - ### values

    public static OutputWhen[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static OutputWhen valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`